QGIS Application - Bug report #17955
Grass tool error on QGIS 2.18.15
2018-01-25 09:46 AM - Arthur Vignacq

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.18.15 Regression?: No

Operating System: 0OsX 10.12 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 25851
Description

using Qgis 2.18.15 on Osx (10.12) | have some issue using the v.net.iso tool.

I launch the tool, set parameters, but got no result at all. | can see the process goes by but get no new layer at the end. | manage to get the
log using the batch process tab:

Processing algorithm 1/1...

Algorithm v.net.iso - Splits network by cost isolines. starting...

g.proj -c proj4="+proj=lcc +lat_1=49 +lat_2=44 +lat_0=46.5 +lon_0=3 +x_0=700000 +y_0=6600000 +ellps=GRS80
+towgs84=0,0,0,0,0,0,0 +units=m +no_defs"

v.in.ogr min_area=0.0001 snap=-1 input="/Users/arthur/Downloads" layer=Réseau routier output=tmp151629185596 --overwrite
-0

v.in.ogr min_area=0.0001 snap=-1 input="/Users/arthur/Downloads" layer=Depart output=tmp151629185597 --overwrite -0
g.region n=6519560.77083 s=6192397.02036 €=578658.942662 w=310247.58508 res=100

v.net -s input=tmp151629185596 points=tmp151629185597 out=tmp151629185598 op=connect threshold=50

v.db.connect -o map=tmp151629185598 table=tmp151629185597 layer=2

v.net.iso input="tmp151629185598" arc_type=line center_cats="1-100000" costs="1000,2000,3000"
output=outpute72986cd648e4dbcbaf8e3bdae19134c¢ --overwrite

v.out.ogr -s -e input=outpute72986cd648e4dbcbaf8e3bdae19134c type=auto output="/Users/arthur/Downloads"
format=ESRI_Shapefile output_layer=TESTESTESTESTEST --overwrite

WARNING: Default locale settings are missing. GRASS running with C locale.

Starting GRASS GIS...

Executing '/Users/arthur/.qgis2//processing/grass7_batch_job.sh' ...

Default region was updated to the new projection, but if you have multiple mapsets "g.region -d" should be run in each to update
the region from the default

Projection information updated

Description:
Imports vector data into a GRASS vector map using OGR library.

Keywords:
vector, import, OGR

Usage:

v.in.ogr [-flc2tojrewi] input=string [layer=string][,string,...]]

[output=name] [spatial=xmin,ymin,xmax,ymax[,xmin,ymin,xmax,ymax,...]]
[where=sql_query] [min_area=value] [type=string][,string,...]]
[snap=value] [location=name] [columns=name[,name,...]]
[encoding=string] [key=string] [geometry=name] [--overwrite] [--help]
[--verbose] [--quiet] [--ui]
Flags:

-f List supported OGR formats and exit

-l List available OGR layers in data source and exit

-¢ Do not clean polygons (not recommended)

-2 Force 2D output even if input is 3D

Useful if input is 3D but all z coordinates are identical

-t Do not create attribute table

-0 Override dataset projection (use location's projection)

-j Perform projection check only and exit

-r Limit import to the current region

-e Extend region extents based on new dataset

Also updates the default region if in the PERMANENT mapset
-w Change column names to lowercase characters

-i Create the location specified by the "location" parameter and exit. Do not import the vector data.
--0 Allow output files to overwrite existing files

--h Print usage summary

--v Verbose module output

--q Quiet module output

--ui Force launching GUI dialog

Parameters:

input OGR datasource name

Examples:

ESRI Shapefile: directory containing shapefiles

Maplnfo File: directory containing mapinfo files

layer OGR layer name. If not given, all available layers are imported
Examples:

ESRI Shapefile: shapefile name

Maplnfo File: mapinfo file name

output Name for output vector map

spatial Import subregion only

Format: xmin,ymin,xmax,ymax - usually W,S,E,N

where WHERE conditions of SQL statement without 'where' keyword
Example: income = 10000

min_area Minimum size of area to be imported (square meters)
Smaller areas and islands are ignored. Should be greater than snap”2
default: 0.0001

type Optionally change default input type

options: point,line,boundary,centroid

default:

point: import area centroids as points

line: import area boundaries as lines

boundary: import lines as area boundaries

centroid: import points as centroids

snap Snapping threshold for boundaries (map units)

'-1' for no snap

default: -1

location Name for new location to create

columns List of column names to be used instead of original names, first is used for category column
encoding Encoding value for attribute data

Overrides encoding interpretation, useful when importing ESRI Shapefile
key Name of column used for categories
If not given, categories are generated as unique values and stored in 'cat' column
geometry Name of geometry column
If not given, all geometry columns from the input are used

ERROR: Sorry is not a valid option

ERROR 4: Unable to open /Users/arthur/Downloads/aquitaine-latest-free.shx or
/Users/arthur/Downloads/aquitaine-latest-free.SHX.Try --config SHAPE_RESTORE_SHX true to restore or create it
ERROR 4: Failed to open file /Users/arthur/Downloads/aquitaine-latest-free.shp.

It may be corrupt or read-only file accessed in update mode.

WARNING: Datum not recognised by GRASS and no parameters found
Over-riding projection check

Check if OGR layer contains polygons...

0..100

Importing 1 features (OGR layer )...

0..100

Building topology for vector map ...
Registering primitives...

One primitive registered

One vertex registered

Building areas...

0..100

0 areas built

0 isles built

Attaching islands...

Attaching centroids...

100

Number of nodes: 0

Number of primitives: 1

Number of points: 1

Number of lines: 0

Number of boundaries: 0

Number of centroids: 0

Number of areas: 0

Number of isles: 0

ERROR: Vector map not found

ERROR: Vector map not found in current mapset

ERROR: Vector map not found

ERROR: Vector map not found

Execution of '/Users/arthur/.qgis2//processing/grass7_batch_job.sh' finished.
Cleaning up temporary files...

WARNING: Default locale settings are missing. GRASS running with C locale.
Starting GRASS GIS...

Executing '/Users/arthur/.qgis2//processing/grass7_batch_job.sh' ...
ERROR: Vector map not found

Execution of '/Users/arthur/.qgis2//processing/grass7_batch_job.sh' finished.
Cleaning up temporary files...

Converting outputs

Loading resulting layers

Algorithm v.net.iso - Splits network by cost isolines. correctly executed...
History

#1 - 2018-02-01 06:50 PM - Alexander Bruy
- Status changed from Open to Feedback

Please try latest QGIS version and layer which does not has non-ASCII characters and spaces in the name

#2 - 2018-02-22 02:42 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
